/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: PoolMappingForJonas.java 2377 2009-06-23 13:05:33Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.cmi.info.mapping;

import org.ow2.util.pool.impl.PoolConfiguration;

/**
 * Pool mapping for JOnAS.
 * @author The new CMI team
 */
public class PoolMappingForJonas extends PoolConfiguration {

    /**
     * Serial UID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * @param indent
     * @return
     */
    public String toXML(final int indent) {
        // TODO Auto-generated method stub
        StringBuffer buff = new StringBuffer();
        writeElement(Integer.toString(super.getMax()), "<max-size>", "</max-size>", buff);
        writeElement(Integer.toString(super.getMaxWaiters()), "<max-waiters>", "</max-waiters>", buff);
        writeElement(Long.toString(super.getTimeout()), "<timeout>", "</timeout>", buff);
        return buff.toString();
    }
    /**
     * @param max the max to set
     */
    public void setMax(final String max) {
        super.setMax(Integer.valueOf(max));
    }
    /**
     * @param maxWaiters the maxWaiters to set
     */
    public void setMaxWaiters(final String maxWaiters) {
        super.setMaxWaiters(Integer.valueOf(maxWaiters));
    }
    /**
     * @param timeout the timeout to set
     */
    public void setTimeout(final String timeout) {
        super.setTimeout(Integer.valueOf(timeout));
    }

    /**
     * Write the given element if it's not null.
     * @param elementValue The element value.
     * @param openingTag the opening tag.
     * @param closingTag the closing tag.
     * @param str The string buffer to write in.
     */
    private void writeElement(
            final String elementValue, final String openingTag, final String closingTag, final StringBuffer str) {
        if (elementValue != null) {
            str.append(openingTag);
            str.append(elementValue);
            str.append(closingTag);
        }
    }

}
